# Interface methods for submodule: IsolatedWatershedImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: IsolatedWatershedImageFilter
class IsolatedWatershedImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetSeed1(self, _arg: Sequence[int]) -> None:
		""""""
		...

	def GetSeed1(self) -> Sequence[int]:
		""""""
		...

	def SetSeed2(self, _arg: Sequence[int]) -> None:
		""""""
		...

	def GetSeed2(self) -> Sequence[int]:
		""""""
		...

	def SetThreshold(self, _arg: float) -> None:
		""""""
		...

	def GetThreshold(self) -> float:
		""""""
		...

	def SetIsolatedValueTolerance(self, _arg: float) -> None:
		""""""
		...

	def GetIsolatedValueTolerance(self) -> float:
		""""""
		...

	def SetUpperValueLimit(self, _arg: float) -> None:
		""""""
		...

	def GetUpperValueLimit(self) -> float:
		""""""
		...

	@overload
	def SetReplaceValue1(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetReplaceValue1(self, _arg: int) -> None:
		""""""
		...

	@overload
	def GetReplaceValue1(self) -> float:
		""""""
		...

	@overload
	def GetReplaceValue1(self) -> int:
		""""""
		...

	@overload
	def SetReplaceValue2(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetReplaceValue2(self, _arg: int) -> None:
		""""""
		...

	@overload
	def GetReplaceValue2(self) -> float:
		""""""
		...

	@overload
	def GetReplaceValue2(self) -> int:
		""""""
		...

	def GetIsolatedValue(self) -> float:
		""""""
		...

